Package org.jboss.resteasy.plugins.interceptors

## Class GZIPEncodingInterceptor.CommittedGZIPOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.jboss.resteasy.util.CommitHeaderOutputStream
    - - org.jboss.resteasy.plugins.interceptors.GZIPEncodingInterceptor.CommittedGZIPOutputStream

- All Implemented Interfaces:
    `Closeable`, `Flushable`, `AutoCloseable`
  Enclosing class:
    GZIPEncodingInterceptor

      public static class GZIPEncodingInterceptor.CommittedGZIPOutputStream
      extends CommitHeaderOutputStream

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.util.CommitHeaderOutputStream

      `CommitHeaderOutputStream.CommitCallback`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected GZIPOutputStream` | `gzip` |

    - ### Fields inherited from class org.jboss.resteasy.util.CommitHeaderOutputStream

      `delegate, headers, isHeadersCommitted`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `CommittedGZIPOutputStream​(OutputStream delegate, CommitHeaderOutputStream.CommitCallback headers)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `commit()` |
    `GZIPOutputStream` | `getGzip()` |

    - ### Methods inherited from class org.jboss.resteasy.util.CommitHeaderOutputStream

      `close, flush, getDelegate, setDelegate, setHeaders, write, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gzip

          protected GZIPOutputStream gzip

  - ### Constructor Detail

    - #### CommittedGZIPOutputStream

          protected CommittedGZIPOutputStream​(OutputStream delegate,
                                              CommitHeaderOutputStream.CommitCallback headers)

  - ### Method Detail

    - #### getGzip

          public GZIPOutputStream getGzip()

    - #### commit

          public void commit()

      Overrides:
        `commit` in class `CommitHeaderOutputStream`